API referenceTimeseries
POST /api/Timeseries/GetFormulaByTimeseriesId
Retrieves the formula associated with a specific timeseries ID.
POST
/api/Timeseries/GetFormulaByTimeseriesIdcurl -X POST "/api/Timeseries/GetFormulaByTimeseriesId" \
-H "Authorization: $ATLAS_ETRM_API_DOCUMENTATION_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"data": 1
}'Authorization
AuthorizationstringheaderrequiredJWT Authorization header using the Bearer scheme. Enter your token including the 'Bearer ' prefix (e.g. 'Bearer eyJ...').
Body
application/json
datainteger<int32>
Response
application/json
Returns the formula associated with the specified timeseries ID.
successbooleanerrorCodestring | nullerrorMessagestring | nullwarningMessagestring | nullinfoMessagestring | nullrecordCountinteger<int32>dataEtrmApiGateway.DTOs.Timeseries.Internal.FormulaInternalDto
{
"success": true,
"errorCode": "string",
"errorMessage": "string",
"warningMessage": "string",
"infoMessage": "string",
"recordCount": 0,
"data": {
"id": 0,
"name": "string",
"comments": "string",
"content": "string",
"unitOfMeasure": "string",
"granularityId": 0,
"timestep": "string",
"upsamplingId": 0,
"upsampling": "string",
"downsamplingId": 0,
"downsampling": "string",
"typeId": 0,
"type": "string",
"created": "2026-01-15T09:30:00Z",
"modified": "2026-01-15T09:30:00Z",
"canEdit": true,
"canDelete": true,
"canRun": true,
"decimals": 0,
"calculateNulls": true,
"timeseriesId": 0
}
}